import { ElementRef } from '@angular/core';
import type { OnDestroy, OnInit } from '@angular/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import { TourAnchorDirective, TourBackdropService } from 'ngx-ui-tour-core';
import { INgxbStepOption as IStepOption } from './step-option.interface';
import { NgxbTourService } from './ngx-bootstrap-tour.service';
import { TourStepTemplateService } from './tour-step-template.service';
import * as i0 from "@angular/core";
export declare class TourAnchorNgxBootstrapPopoverDirective extends PopoverDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgxBootstrapPopoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgxBootstrapPopoverDirective, "[tourAnchor]", never, {}, {}, never>;
}
export declare class TourAnchorNgxBootstrapDirective implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private tourStepTemplate;
    private element;
    private popoverDirective;
    private tourBackdrop;
    tourAnchor: string;
    isActive: boolean;
    constructor(tourService: NgxbTourService, tourStepTemplate: TourStepTemplateService, element: ElementRef, popoverDirective: TourAnchorNgxBootstrapPopoverDirective, tourBackdrop: TourBackdropService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: IStepOption): void;
    hideTourStep(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgxBootstrapDirective, [null, null, null, { host: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgxBootstrapDirective, "[tourAnchor]", never, { "tourAnchor": "tourAnchor"; }, {}, never>;
}
